Create an Elasticsearch project
- Base URL
-
https://api.elastic-cloud.com
- POST /api/v1/serverless/projects/elasticsearch
Create an Elasticsearch project. The response will include the created project details, such as the project ID, the credentials to access the project, and the endpoints to access different apps such as Elasticsearch and Kibana. The credentials can be regenerated at any time using the _reset-credentials endpoint.
Request body
Configuration of the elasticsearch project to create.
-
aliasstring · min length: 1 · max length: 50 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$ -
A custom domain label compatible with RFC-1035 standards. Derived from the project name by default.
-
optimized_forenum -
The purpose for which the hardware of this elasticsearch project is optimized. Also known as the Elasticsearch project subtype.
- The
general_purposeoption is suitable for most search use cases. For example, it is the right profile for full-text search, sparse vectors, and dense vectors that use compression such as BBQ. It is used by default when you create projects from the UI. - The
vectoroption is recommended only for uncompressed dense vectors (dense_vectorfields withint4orint8quantization strategies) and high dimensionality. Refer to documentation about billing dimensions for the impact to virtual compute unit (VCU) consumption.
- The
-
Values:
general_purposevector - Elasticsearch Serverless billing dimensions
-
search_lakeobject -
Configuration for entire set of capabilities that make the data searchable in Elasticsearch.
-
search_powerinteger · min: 28 · max: 3000 -
Controls how fast searches are against your project data. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. You can either increase the performance of searches on cached data by adding replicas, or reduce the quantity of cached data by a static factor to save on costs.
-
boost_windowinteger · min: 1 · max: 180 -
Determines how much data can benefit from faster search. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. The system dynamically adjusts the cache allocated to your project based on how much data you ingest during the period defined by your Search Boost Window.
-
metadataobject · min properties: 1 -
Metadata request for a project with tags and annotations.
-
tagsmap string to string · min properties: 1 · max properties: 64 -
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
annotationsmap string to string · min properties: 1 · max properties: 64 -
Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$
Responses
The created elasticsearch project.
-
aliasstring · min length: 8 · max length: 57 · pattern: ^[a-zA-Z]{1}(?:[a-zA-Z0-9-]*[a-zA-Z0-9]{1})?$required -
A domain label compatible with RFC-1035 standards. Project alias with a unique suffix added by the system to avoid naming conflicts.
-
metadataobjectrequired -
Additional details about the project.
-
tagsmap string to string · min properties: 1 · max properties: 64 -
Tags associated with a project in the form of key-value pairs. Tags are limited to a minimum of 1 and a maximum of 64 per project. Each tag key must begin with a lowercase letter (a-z), contain only lowercase letters, digits, underscores, and hyphens (a-z0-9_-), and have a maximum length of 32 characters.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
system_tagsmap string to string -
System tags associated with a project in the form of key-value pairs. These tags are added by the internal system and are read-only. The keys are prefixed with an underscore to differentiate them from user tags.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-z0-9][a-z0-9_-]*$ -
annotationsmap string to string · min properties: 1 · max properties: 64 -
Annotations associated with a project, as key-value pairs that keep their case. A project can have at most 64 annotations, separate from its tags. Each key must start with a letter, contain only letters, digits, underscores and hyphens (a-zA-Z0-9_-), and be at most 32 characters long. Annotations can't be used in cross-project search and can't filter the project list.
-
<string>string · min length: 1 · max length: 128 · pattern: ^[a-zA-Z0-9][a-zA-Z0-9_-]*$ -
cloud_idstringrequired -
The cloud ID, an encoded string that provides other Elastic services with the necessary information to connect to this Elasticsearch and Kibana.
-
monitoringobject -
Configuration for monitoring a project.
-
loggingobject -
Configuration for project logs.
-
auditobject -
Configuration for logs from a specific category.
-
destinationobjectrequired -
Configuration for destination of logs.
-
project_typeenumrequired -
The type of the linked project
-
Values:
elasticsearchobservabilitysecurityvectordb -
statusenumrequired -
The state of log delivery to this destination. Controlled by the system and read-only: it is set to
suspendedordeletedwhen the destination project is suspended or deleted. Logs are only delivered when this isenabledand the logging category'senabledflag is true. -
Values:
enabledsuspendeddeleted -
optimized_forenumrequired -
The purpose for which the hardware of this elasticsearch project is optimized. Also known as the Elasticsearch project subtype.
- The
general_purposeoption is suitable for most search use cases. For example, it is the right profile for full-text search, sparse vectors, and dense vectors that use compression such as BBQ. It is used by default when you create projects from the UI. - The
vectoroption is recommended only for uncompressed dense vectors (dense_vectorfields withint4orint8quantization strategies) and high dimensionality. Refer to documentation about billing dimensions for the impact to virtual compute unit (VCU) consumption.
- The
-
Values:
general_purposevector - Elasticsearch Serverless billing dimensions
-
search_lakeobject -
Configuration for entire set of capabilities that make the data searchable in Elasticsearch.
-
search_powerinteger · min: 28 · max: 3000 -
Controls how fast searches are against your project data. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. You can either increase the performance of searches on cached data by adding replicas, or reduce the quantity of cached data by a static factor to save on costs.
-
boost_windowinteger · min: 1 · max: 180 -
Determines how much data can benefit from faster search. When ingested, a certain amount of data is loaded into a cache that makes it super fast to query. The system dynamically adjusts the cache allocated to your project based on how much data you ingest during the period defined by your Search Boost Window.
Bad request